Page MenuHome

Knife tool
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: NVIDIA GeForce RTX 2080 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 465.89

Blender Version
Broken: version: 2.92.0, branch: master, commit date: 2021-02-24 16:25, hash: rB02948a2cab44
Worked: (newest version of Blender that worked as expected)

Short description of error
Knife tool works only on modeling tab
it doesnt work from layout when you are in edit mode

Exact steps for others to reproduce the error
in default layout mode go in edit mode and choose knife tool
you cant draw lines
it works only if you go in the modeling tab

Event Timeline

I cannot reproduce this in the latest 3.0.0 Alpha, branch: master, commit date: 2021-04-27 03:23, hash: rB542f022afd1c.

Falk David (filedescriptor) changed the task status from Needs Triage to Needs Information from User.Apr 27 2021, 12:15 PM

Sure, but we generally do not update versions that are already released (exceptions are the corrective releases). As it stands right now, 2.92 will not get a corrective release. All the fixes will be in 2.93. Could you download the 2.93 Beta from https://builder.blender.org/download/ and try again? Thank you.

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.